Name: libgii
Version: 0.20001128
Release: 3
Summary: General Input Interface
URL: http://www.ggi-project.org/
Source: cvs://anoncvs.us.ggi-project.org/libgii-20001128.tar.bz2
Patch: libgii-20001128-libtool.patch
License: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
General Input Interface - an input device abstraction layer over
Framebuffer devices, X11 and SVGAlib.

%package devel
Summary: Development files for the General Input Interface
Group: Development/Libraries

%description devel
Development files for the General Input Interface.
Install %{name}-devel if you want to develop or compile any
applications using %{name}.

%prep
%setup -n %{name} -q
%patch -p1 -b .libtool
automake

%build
%configure --disable-directx --enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/ggi
%dir %{_sysconfdir}/ggi/filter
%config(noreplace) %{_sysconfdir}/ggi/libgii.conf
%config(noreplace) %{_sysconfdir}/ggi/filter/mouse
%config(noreplace) %{_sysconfdir}/ggi/filter/keytrans
%{_bindir}/*
%{_libdir}/ggi
%{_libdir}/lib*.so.*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files devel
%defattr(-,root,root)
%{_includedir}/ggi
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Feb 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- use %%configure
- use FHS macros
- touch up some of the automake files

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- needed to run ldconfig

* Thu Nov 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
